import { ElementRef, EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import 'eonasdan-bootstrap-datetimepicker';
import { Moment } from 'moment';
export declare class NgTsDatepickerDirective implements OnInit, OnChanges {
    private el;
    date: Moment;
    options: any;
    change: EventEmitter<Moment>;
    utcChange: EventEmitter<string>;
    click: EventEmitter<any>;
    private dpElement;
    private defaultOptions;
    private hasParent;
    private internalOptions;
    constructor(el: ElementRef);
    formatToUtc(date: Moment): string;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private appendCalendarIcon();
}
